Bug 228279 - [NEW PORT] net-im/purple-slack - Slack protocol plugin for libpurple
Summary: [NEW PORT] net-im/purple-slack - Slack protocol plugin for libpurple
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-15 21:25 UTC by Albert Ou
Modified: 2018-05-20 07:08 UTC (History)
1 user (show)

See Also:


Attachments
svn diff patch (3.62 KB, patch)
2018-05-15 21:25 UTC, Albert Ou
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Ou 2018-05-15 21:25:33 UTC
Created attachment 193439 [details]
svn diff patch

This port adds a Slack protocol plugin for libpurple IM clients.

WWW: https://github.com/dylex/slack-libpurple

portlint: looks fine
poudriere testport: OK
Comment 1 Koichiro Iwao freebsd_committer 2018-05-16 00:19:29 UTC
Take.
Comment 2 commit-hook freebsd_committer 2018-05-20 06:44:10 UTC
A commit references this bug:

Author: meta
Date: Sun May 20 06:43:41 UTC 2018
New revision: 470440
URL: https://svnweb.freebsd.org/changeset/ports/470440

Log:
  New port: net-im/purple-slack: Slack protocol plugin for libpurple

  WWW: https://github.com/dylex/slack-libpurple

  PR:             228279
  Submitted by:   Albert Ou <aou@eecs.berkeley.edu>
  Approved by:    pi (mentor)

Changes:
  head/net-im/purple-slack/
  head/net-im/purple-slack/Makefile
  head/net-im/purple-slack/distinfo
  head/net-im/purple-slack/pkg-descr
Comment 3 Koichiro Iwao freebsd_committer 2018-05-20 06:49:57 UTC
Committed with minor changes, thanks!

BTW, use PLIST_FILES rather than pkg-plist file if the port installs less than 6 items. portlint -AC will tell you to do that.
Comment 4 Albert Ou 2018-05-20 07:08:48 UTC
Great, thanks for taking care of this!